=== debian/changelog ===
afl (1.83b-1) unstable; urgency=low

  * New upstream release:
    + Fix a harmless but annoying race condition in persistent mode.
    + Tweak AFL_PERSISTENT to force AFL_NO_VAR_CHECK.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Jun 2015 16:36:42 +0200

afl (1.81b-1) unstable; urgency=low

  * New upstream release:
    + Add persistent mode for in-process fuzzing.
    + Change the in-place resume code to preserve crashes/README.txt.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Jun 2015 11:24:47 +0200

afl (1.80b-1) unstable; urgency=low

  * New upstream release:
    + Make afl-cmin tolerant of whitespaces in filenames.
    + Add support for AFL_EXIT_WHEN_DONE (causes afl-fuzz to terminate when
      all existing paths have been fuzzed and there were no new finds for
      a while).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 03 Jun 2015 17:09:11 +0200

afl (1.79b-1) unstable; urgency=low

  * New upstream release:
    + Replace dictionaries with file-based variants.
    + Fix reporting token sizes for file-based dictionaries.
    + Added support for dictionary levels.
  * Disable stack protector on kfreebsd-*, powerpc and ppc64el for the clang
    compiler (see bug #785365).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 23 May 2015 12:04:02 +0200

afl (1.77b-1) unstable; urgency=low

  * New upstream release:
    + Extend the -x option to support single-file dictionaries.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 May 2015 23:16:22 +0200

afl (1.76b-1) unstable; urgency=low

  * New upstream release:
    + afl-clang-fast now defines __AFL_HAVE_MANUAL_INIT.
    + Fix a libtool-related bug with afl-clang-fast that would make some
      ./configure invocations generate incorrect output.
    + Reduce the number of duplicate execs during deterministic checks.
    + Reduce the likelihood of duplicate non-deterministic execs.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 05 May 2015 13:37:31 +0200

afl (1.74b-1) unstable; urgency=low

  * New upstream release:
    + Fix a bug in effector maps that could sometimes cause AFL to fuzz
      slightly more than necessary; and in rare circumstances, could lead to
      segmentation fault.
    + Improve afl-tmin to use /tmp if cwd is not writeable.
    + In LLVM mode, insert the instrumentation even when AFL_DONT_OPTIMIZE=1
      is set.
  * Fix version constraints in afl-clang's Breaks and Replaces.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 02 May 2015 15:50:54 +0200

afl (1.72b-1) unstable; urgency=low

  * New upstream release:
    + Add last path, crash and hang times to fuzzer_stats.
  * Enable LLVM-based instrumentation.
    + Add llvm-dev and clang to Build-Depends.
    + Add new binary package “afl-clang”, containing both the old
      afl-clang(++) and LLVM-based afl-clang-fast(++).
    + Make “afl” recommend “afl-clang”.
    + Make both binary packages “Architecture: any”.
    + Update debian/rules and add *.install files to support “afl-clang”.
    + Update DEP-8 tests to support “afl-clang”.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Apr 2015 20:06:33 +0200

afl (1.70b-1) unstable; urgency=low

  * New upstream release:
    + Refactor afl-tmin to reduce the number of execs in common use cases.
    + Add MEM_BARRIER() to afl-showmap and afl-tmin, just to be safe.
    + Remove build date and time from banners to give people deterministic
      builds.
    + Fix a minor PRNG glitch that would make the first seconds of a fuzzing
      job deterministic.
    + Modify resumption code to reuse the original timeout value when resuming
      a session if -t is not given. This prevents timeout creep in continuous
      fuzzing.
  * Extend the DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 18 Apr 2015 18:41:07 +0200

afl (1.58b-1) unstable; urgency=low

  * Upload to unstable (closes: #781802).
    Thanks to Ondřej Surý for the bug report.
  * New upstream release:
    + Tweak afl-gcc to use BIN_PATH instead of a fixed string in help
      messages (closes: #779921). Thanks to Ph. Marek for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 03 Apr 2015 23:16:47 +0200

afl (1.56b-1) experimental; urgency=low

  * New upstream release:
    + Make it possible to properly override LD_BIND_NOW.
    + Fix a bug in AFL_DUMB_FORKSRV.
    + Fix a bug with afl-showmap opening /dev/null with O_RDONLY when
      running in quiet mode.
    + Add support for file format postprocessors.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 05 Mar 2015 12:51:32 +0100

afl (1.50b-1) experimental; urgency=low

  * New upstream release:
    + Save original command line in fuzzer_stats and crashes/README.txt. Also
      save fuzzer version in fuzzer_stats.
    + Improve file descriptor handling.
    + Fix a flock() bug that would prevent dir reuse errors from kicking
      in every now and then.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Feb 2015 20:08:57 +0100

afl (1.47b-1) experimental; urgency=low

  * New upstream release:
    + Replace zero-sized files with symlinks in the variable behavior state
      dir to simplify examining the relevant test cases.
    + Change the period of limited-range block ops from 5 to 10 minutes.
    + Improve instrumentation performance on 32-bit systems by getting rid of
      xor-swap and tweaking alignment.
    + Made path depth numbers more accurate with imported test cases.
    + Fix a bug with afl-cmin in -Q mode complaining about binary being not
      instrumented.
    + Fix another bug with argv handling for afl-fuzz in -Q mode.
    + Improve the use of colors when showing crash counts in -C mode.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 Feb 2015 23:57:11 +0100

afl (1.44b-1) experimental; urgency=low

  * New upstream release:
    + Exclude crashing inputs in afl-cmin by default.
    + Add option (-C) for keeping only crashing inputs in afl-cmin.
    + Make the afl-cmin output dir default to 0700, not 0755, to be consistent
      with afl-fuzz; document the rationale for 0755 in afl-plot.

