=== debian/control ===
Source: afl
Homepage: http://lcamtuf.coredump.cx/afl/
Section: devel
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-buildinfo,
 llvm-dev, clang
Standards-Version: 3.9.6

Package: afl
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gcc, g++, afl-clang
Architecture: any
Description: instrumentation-driven fuzzer for binary formats
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary. This substantially
 improves the functional coverage for the fuzzed code. The compact synthesized
 corpora produced by the tool are also useful for seeding other, more labor- or
 resource-intensive testing regimes down the road. 
 .
 afl-fuzz is designed to be practical: it has modest performance overhead, uses
 a variety of highly effective fuzzing strategies, requires essentially no
 configuration, and seamlessly handles complex, real-world use cases - say,
 common image parsing or file compression libraries. 

Package: afl-clang
Depends: afl (= ${binary:Version}),
 clang, ${clang:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Breaks: afl (<< 1.72b)
Replaces: afl (<< 1.72b)
Architecture: any
Description: instrumentation-driven fuzzer for binary formats - clang support
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary.
 .
 This package provides support for the clang compiler.
