=== debian/watch ===
version=3
http://lcamtuf.coredump.cx/afl/releases/afl-([0-9.]+[a-z]*)[.]tgz$
