## afl 1.96b

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 
 PROGNAME    = afl
-VERSION     = 1.83b
+VERSION     = 1.96b
 
 PREFIX     ?= /usr/local
 BIN_PATH    = $(PREFIX)/bin
@@ -132,4 +132,5 @@
 	cat docs/historical_notes.txt >~/www/afl/historical_notes.txt
 	cat docs/technical_details.txt >~/www/afl/technical_details.txt
 	cat docs/ChangeLog >~/www/afl/ChangeLog.txt
+	cat docs/QuickStartGuide.txt >~/www/afl/QuickStartGuide.txt
 	echo -n "$(VERSION)" >~/www/afl/version.txt
