=== debian/changelog ===
afl (1.96b-2) unstable; urgency=medium

  * Build with doc package:
    + added package description to deb/control.
    + added deb/afl-doc.install.
    + removed items from deb/afl.install.
    + moved lintian-overrides to afl-doc.lintian-overrides, updated.
    + deb/rules: use dh_installdocs to contribute README, strip it from
      DOC_PATH in dh_auto_build override; spare doc package from buildinfo.
  * deb/control:
    + bumped standards to 3.9.7 (regarded changes in 12.3).
    + put Architecture fields upward.
  * deb/rules:
    + added DEB_BUILD_MAINT_OPTIONS with hardening=+all (for PIE and BINDNOW).
    + add README to excludes for dh_compress (Closes: #813503).
  * deb/changelog:
    + expanded copyright span.

 -- Daniel Stender <debian@danielstender.com>  Thu, 18 Feb 2016 12:08:19 +0100

afl (1.96b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + restored Vcs-Git and Browser (requested for downstream development).
  * deb/rules:
    + strip ChangeLog in DOC_PATH by dh_auto_install override (saves override
      for dh_installchangelogs).
    + added some excludes to dh_compress, removed obsolete.
    + run dh_clang before gencontrol (still disabled).
    + checked appearance of overrides according to build sequence.
  * hardcode-clang-version.patch: removed Dgit stamp from patch header, arranged
    more strictly for DEP-3, toggled forwarded to "not-needed".
  * Dropped deb/source/options (setting gzip compression).

 -- Daniel Stender <debian@danielstender.com>  Tue, 02 Feb 2016 00:11:05 +0100

afl (1.95b-3) unstable; urgency=medium

  * Hardcode current LLVM/clang version in debian/ files and in the
    source (added hardcode-llvm-version.patch) to prevent crash of
    afl-clang-fast because default build-time and runtime version
    differs (Closes: #807578).

 -- Daniel Stender <debian@danielstender.com>  Thu, 07 Jan 2016 00:33:02 +0100

afl (1.95b-2) unstable; urgency=medium

  * Upload to unstable.
  * deb/rules: restored the portion on disabling -fstack-protector (the
    problem remains also with clang-3-6).

    (missing in the previous entry: experimental changes in deb/rules on
     disabling -fstack-protector on some architectures)

 -- Daniel Stender <debian@danielstender.com>  Thu, 03 Dec 2015 15:54:27 +0100

afl (1.95b-1) experimental; urgency=medium

  * New upstream release.
  * deb/control: dropped Vcs-Git and Browser (not collaboratively maintained,
    Git log not needed anymore for review of changes in sponsoring).
  * deb/rules: rewritten for dh sequencer.
  * Removed deb/gbp.conf (not needed now).

 -- Daniel Stender <debian@danielstender.com>  Wed, 02 Dec 2015 22:47:13 +0100

afl (1.94b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Sat, 03 Oct 2015 19:43:02 +0200

afl (1.92b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Tue, 08 Sep 2015 10:12:33 +0200

afl (1.89b-1) unstable; urgency=medium

  * New upstream release (Closes: #797681).
  * afl-showmap.1: corrected typo.

 -- Daniel Stender <debian@danielstender.com>  Wed, 02 Sep 2015 18:43:08 +0200

afl (1.87b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: although clang-3.5 on arm64 won't (see #796343), don't
    disable any arch.
  * deb/rules: let dh_installdocs handle experimental/persistent_demo, not
    deb/afl-clang.install.
  * deb/watch: better to watch for multiple common extensions.
  * Added deb/gbp.conf.
  * Removed empty deb/patches.
  * Wrap-and-sort on deb/afl{,-clang}.manpages.

 -- Daniel Stender <debian@danielstender.com>  Wed, 26 Aug 2015 21:26:32 +0200

afl (1.86b-1) unstable; urgency=medium

  * New upstream release.
  * Change of maintainer (Closes: #786806).
  * Added manpages (deb/manpages, deb/afl{,-clang}.manpages and
    dh_installman to deb/rules, Closes: #793905).
  * deb/control:
    + don't build on arm64 temporarily due to #796343.
    + bumped debhelper level to 9 (deb/compat along).
    + added gnuplot to Recommends.
    + added Vcs- fields (put package into collab-maint).
    + moved Homepage: further down.
    + strip trailing whitespace [Jakub Wilk].
  * deb/copyright:
    + added myself to copyright owners of debian/.
    + connect year figures with hyphen.
  * deb/rules:
    + added s390x to -fstack-protector disabled archs (see #785365).
  * Put experimental/persistent_demo into afl-clang package (deb/rules,
    deb/afl-clang.install, Closes: #794293).
  * Wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Tue, 25 Aug 2015 15:41:37 +0200
