=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Support for -fstack-protector in clang is broken on some architectures;
# see bug #785365.
ifneq "$(filter kfreebsd-% powerpc ppc64el s390x,$(shell dpkg-architecture -q DEB_HOST_ARCH))" ""
clang_cflags = $(filter-out -fstack-protector%,$(CFLAGS))
else
clang_cflags = $(CFLAGS)
endif

export HOSTNAME =
export PREFIX = /usr

ifeq "$(filter i386 amd64,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))" ""
export AFL_NOX86 = 1
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	CFLAGS="$(clang_cflags)" CXXFLAGS="$(clang_cflags)" $(MAKE) -C llvm_mode

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/tmp
	rm debian/tmp/usr/share/doc/afl/ChangeLog
	rm debian/tmp/usr/share/doc/afl/README
	dh_install --fail-missing
ifneq "$(AFL_NOX86)" ""
	cd debian/afl/usr/bin/ && rm afl-gcc afl-g++
	cd debian/afl/usr/lib/afl/ && rm as afl-as
	cd debian/afl/usr/ && rmdir lib/afl lib
	cd debian/afl-clang/usr/bin/ && rm afl-clang afl-clang++
endif

override_dh_installdocs:
	dh_installdocs -A docs/README
	dh_buildinfo -Nafl-doc

override_dh_strip_nondeterminism:
	# not needed, and don't touch testcases and vuln_samples (see e.g. #803503)

override_dh_compress:
	dh_compress -X.c -X.mp4 -X.sql -XREADME

override_dh_gencontrol:
#	debian/dh_clang -p afl-clang
	dh_gencontrol
