## afl 2.33b

=== debian/changelog ===
afl (2.33b-4) unstable; urgency=medium

  * upload to unstable (Closes: #835352).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Sep 2016 08:36:51 +0200

afl (2.33b-3) experimental; urgency=medium

  * deb/rules:
    + add missing empty override for dh_install.
    + don't try to remove non-empty /usr/lib/afl on non-x86 archs (ship
      libdislocator and libtokencap).

 -- Daniel Stender <stender@debian.org>  Mon, 29 Aug 2016 11:03:52 +0200

afl (2.33b-2) experimental; urgency=medium

  * build and ship libdislocator and libtokencap:
    + add make invocations for both companion libraries in deb/rules (build
      them with custom CFLAGS and LDFLAGS without -fPIE).
    + add libraries and READMEs to deb/afl{,-doc}-install.
    + add info on them in deb/afl.NEWS.
  * deb/afl-doc.install: include llvm_mode/README.llvm.
  * add deb/clean (with llvm_mode/afl-llvm-pass.dwo).

 -- Daniel Stender <stender@debian.org>  Sun, 28 Aug 2016 21:46:35 +0200

afl (2.33b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 27 Aug 2016 21:58:43 +0200

afl (2.30b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 13 Aug 2016 20:31:35 +0200

afl (2.28b-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz avoid-builtin-return-address.patch.
  * build/run against/on llvm 3.8 (Closes: #828178):
    + update build and package deps in deb/control.
    + update hardcode-clang-version.patch.
  * deb/control:
    + put gnuplot into Suggests (thanks to Michał Staruch for pointer).
    + let binary depend on build-essential, and better in Depends.

 -- Daniel Stender <stender@debian.org>  Sun, 07 Aug 2016 14:57:25 +0200

afl (2.21b-1) unstable; urgency=medium

  * New upstream release.
  * deb/afl-doc.lintian-overrides: drop obsolete override.

 -- Daniel Stender <stender@debian.org>  Mon, 25 Jul 2016 20:12:38 +0200

afl (2.17b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Thu, 30 Jun 2016 10:26:30 +0200

afl (2.16b-1) unstable; urgency=medium

  * New upstream release.
  * Unfuzzed hardcode-clang-version.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 24 Jun 2016 16:59:31 +0200

afl (2.14b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Fri, 10 Jun 2016 11:11:08 +0200

afl (2.13b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Tue, 17 May 2016 20:46:21 +0200

afl (2.12b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Thu, 05 May 2016 13:42:59 +0200

afl (2.11b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bumped Standards-Version to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 29 Apr 2016 10:26:13 +0200

afl (2.10b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Tue, 05 Apr 2016 08:49:52 +0200

afl (2.09b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Wed, 30 Mar 2016 10:28:45 +0200

afl (2.08b-4) unstable; urgency=medium

  * Added avoid-builtin-return-address.patch (Closes: #818288).

 -- Daniel Stender <stender@debian.org>  Thu, 24 Mar 2016 23:24:52 +0100

afl (2.08b-3) unstable; urgency=medium

  * build against llvm/clang 3.7 (changes in deb/control and
    hardcode-clang-version.patch).

 -- Daniel Stender <stender@debian.org>  Wed, 16 Mar 2016 09:45:13 +0100

afl (2.08b-2) unstable; urgency=medium

  * deb/afl-clang.install: install afl-lvm-rt*.o (using wildcard).

 -- Daniel Stender <stender@debian.org>  Tue, 15 Mar 2016 14:08:26 +0100

afl (2.08b-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules: s/AFL_NOX86/AFL_NO_X86/.
  * deb/afl.install: added afl-analyze.
  * deb/afl-clang.install: added afl-llvm-rt-64.o.
  * Unfuzzed hardcode-clang-version.patch.
  * Updated deb/control, deb/copyright.
  * Manpages: added afl-analyze.1, updated all and cosmetics, removed
    dates.

 -- Daniel Stender <stender@debian.org>  Tue, 15 Mar 2016 12:48:07 +0100
