=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: afl
 Section: devel
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- clang-3.6,
+ clang-3.8,
  debhelper (>= 9),
  dh-buildinfo,
- llvm-3.6-dev
-Standards-Version: 3.9.7
+ llvm-3.8-dev
+Standards-Version: 3.9.8
 Homepage: http://lcamtuf.coredump.cx/afl/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/afl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/afl.git
@@ -15,14 +15,14 @@
 Package: afl
 Architecture: any
 Depends:
+ build-essential,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  afl-clang,
- g++,
- gcc,
- gnuplot,
  afl-doc
+Suggests:
+ gnuplot
 Description: instrumentation-driven fuzzer for binary formats
  American fuzzy lop is a fuzzer that employs compile-time instrumentation and
  genetic algorithms to automatically discover clean, interesting test cases
@@ -40,7 +40,7 @@
 Architecture: any
 Depends:
  afl (= ${binary:Version}),
- clang-3.6,
+ clang-3.8,
  ${clang:Depends},
  ${misc:Depends},
  ${shlibs:Depends}
