=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+cflags_nopie = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get CFLAGS)
+ldflags_nopie = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS)
 
 # Support for -fstack-protector in clang is broken on some architectures;
 # see bug #785365.
@@ -15,7 +18,7 @@
 export PREFIX = /usr
 
 ifeq "$(filter i386 amd64,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))" ""
-export AFL_NOX86 = 1
+export AFL_NO_X86 = 1
 endif
 
 %:
@@ -23,19 +26,24 @@
 
 override_dh_auto_build:
 	$(MAKE)
+	CFLAGS="$(cflags_nopie)" LDFLAGS="$(ldflags_nopie)" $(MAKE) -C libdislocator
+	CFLAGS="$(cflags_nopie)" LDFLAGS="$(ldflags_nopie)" $(MAKE) -C libtokencap
 	CFLAGS="$(clang_cflags)" CXXFLAGS="$(clang_cflags)" $(MAKE) -C llvm_mode
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=debian/tmp
 	rm debian/tmp/usr/share/doc/afl/ChangeLog
 	rm debian/tmp/usr/share/doc/afl/README
+	$(MAKE) -C libdislocator install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C libtokencap install DESTDIR=$(CURDIR)/debian/tmp
 	dh_install --fail-missing
-ifneq "$(AFL_NOX86)" ""
+ifneq "$(AFL_NO_X86)" ""
 	cd debian/afl/usr/bin/ && rm afl-gcc afl-g++
 	cd debian/afl/usr/lib/afl/ && rm as afl-as
-	cd debian/afl/usr/ && rmdir lib/afl lib
 	cd debian/afl-clang/usr/bin/ && rm afl-clang afl-clang++
 endif
+
+override_dh_install:
 
 override_dh_installdocs:
 	dh_installdocs -A docs/README
