=== debian/changelog ===
afl (2.36b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Thu, 19 Jan 2017 17:43:30 +0100

afl (2.35b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Mon, 28 Nov 2016 22:39:27 +0100

afl (2.34b-6) unstable; urgency=medium

  * Uploaded to unstable.

 -- Daniel Stender <stender@debian.org>  Sun, 20 Nov 2016 10:41:00 +0100

afl (2.34b-5) experimental; urgency=medium

  * deb/rules:
    + pass custom mfpu also to $CXXFLAGS (Closes: #841474) [thanks to Michal
      Zaleswki].
    + corrected an error in the info text.

 -- Daniel Stender <stender@debian.org>  Sat, 19 Nov 2016 22:39:34 +0100

afl (2.34b-4) experimental; urgency=medium

  * use "vfpv3" to set mfpu.

 -- Daniel Stender <stender@debian.org>  Fri, 18 Nov 2016 17:40:00 +0100

afl (2.34b-3) experimental; urgency=medium

  * deb/rules:
    + add -mfpu=vfp3 to $CFLAGS for clang on armhf (Closes: #841474).
    + pass $clang_cflags to make -C llvm_mode.
    + drop removal of -fstack-protector from $CFLAGS for clang (not needed
      anymore).

 -- Daniel Stender <stender@debian.org>  Mon, 14 Nov 2016 14:00:47 +0100

afl (2.34b-2) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Sun, 25 Sep 2016 20:17:52 +0200

afl (2.34b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Sep 2016 08:38:38 +0200

afl (2.33b-6) experimental; urgency=medium

  * deb/rules: enable fstack-protector flag on all archs
    (Closes: #786599).
  * drop avoid-builtin-return-address.patch (not needed anymore).

 -- Daniel Stender <stender@debian.org>  Wed, 07 Sep 2016 16:36:02 +0200

afl (2.33b-5) experimental; urgency=medium

  * unfuzz avoid-builtin-return-address.patch.
  * build/run against llvm/clang 3.9.

 -- Daniel Stender <stender@debian.org>  Tue, 06 Sep 2016 14:03:41 +0200
