=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- clang-3.8,
+ clang-3.9,
  debhelper (>= 9),
  dh-buildinfo,
- llvm-3.8-dev
+ llvm-3.9-dev
 Standards-Version: 3.9.8
 Homepage: http://lcamtuf.coredump.cx/afl/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/afl.git
@@ -40,7 +40,7 @@
 Architecture: any
 Depends:
  afl (= ${binary:Version}),
- clang-3.8,
+ clang-3.9,
  ${clang:Depends},
  ${misc:Depends},
  ${shlibs:Depends}
