=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,11 @@
 cflags_nopie = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get CFLAGS)
 ldflags_nopie = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS)
 
-# Support for -fstack-protector in clang is broken on some architectures;
-# see bug #785365.
-ifneq "$(filter kfreebsd-% powerpc ppc64el s390x,$(shell dpkg-architecture -q DEB_HOST_ARCH))" ""
-clang_cflags = $(filter-out -fstack-protector%,$(CFLAGS))
-else
-clang_cflags = $(CFLAGS)
+# don't emit NEON instructions whatsoever to prevent FTBFS on machines which
+# doesn't support that, see #842143 [thanks to Paul Wise]
+ifeq "$(shell dpkg-architecture -q DEB_HOST_ARCH)" "armhf"
+clang_cflags := $(CFLAGS) -mfpu=vfpv3
+clang_cxxflags := $(CXXFLAGS) -mfpu=vfpv3
 endif
 
 export HOSTNAME =
@@ -28,7 +27,7 @@
 	$(MAKE)
 	CFLAGS="$(cflags_nopie)" LDFLAGS="$(ldflags_nopie)" $(MAKE) -C libdislocator
 	CFLAGS="$(cflags_nopie)" LDFLAGS="$(ldflags_nopie)" $(MAKE) -C libtokencap
-	CFLAGS="$(clang_cflags)" CXXFLAGS="$(clang_cflags)" $(MAKE) -C llvm_mode
+	CFLAGS="$(clang_cflags)" CXXFLAGS="$(clang_cxxflags)" $(MAKE) -C llvm_mode
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=debian/tmp
